// Code generated by ent, DO NOT EDIT.

package predicate

import (
	"entgo.io/ent/dialect/sql"
)

// Account is the predicate function for account builders.
type Account func(*sql.Selector)

// AccountField is the predicate function for accountfield builders.
type AccountField func(*sql.Selector)

// Portal is the predicate function for portal builders.
type Portal func(*sql.Selector)

// PortalLegal is the predicate function for portallegal builders.
type PortalLegal func(*sql.Selector)

// PortalMetadata is the predicate function for portalmetadata builders.
type PortalMetadata func(*sql.Selector)

// User is the predicate function for user builders.
type User func(*sql.Selector)

// UserEmail is the predicate function for useremail builders.
type UserEmail func(*sql.Selector)

// UserPassword is the predicate function for userpassword builders.
type UserPassword func(*sql.Selector)
